Bug 3343 - devfs vs опечатка в console.perms
: devfs vs опечатка в console.perms
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pam0_console)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
: 2459
  Show dependency tree
 
Reported: 2003-12-05 19:28 by
Modified: 2006-12-16 20:24 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-12-05 19:28:07
Из-за того, что в /etc/security/console.perms пропущен /, вместо devfs'ных 
/dev/vc/[123] получаем просто /dev/vc[123], чего не существует. В результате не 
грузятся иксы от юзера.

--- console.perms.orig  2003-12-05 21:09:07 +0500
+++ console.perms       2003-12-05 21:08:32 +0500
@@ -15,7 +15,7 @@
 # man 5 console.perms

 # file classes -- these are regular expressions
-<console>=(/dev/)?(tty|vc)[0-9]+ :[0-9]\.[0-9] :[0-9]
+<console>=(/dev/)?(tty|vc/)[0-9]+ :[0-9]\.[0-9] :[0-9]
 <xconsole>=:[0-9]\.[0-9] :[0-9]
 <rsession>=(/dev/)?pts/[0-9]+
------- Comment #1 From 2004-05-05 16:55:04 -------
нет такого пакета 
 
------- Comment #2 From 2004-05-05 16:56:36 -------
на новый пакет 
 
------- Comment #3 From 2004-05-05 19:50:58 -------
Fixed in pam0_console-0.75-alt26